{ config, pkgs, ... }:

let
  albert_autostart = (pkgs.makeAutostartItem {
<<<<<<< HEAD
    name    = "albert";
    package = pkgs.albert;
  });
  guake_autostart = (pkgs.makeAutostartItem {
    name    = "guake";
    package = pkgs.guake;
  });
in {
  imports = [ 
    ./zsh.nix 
    ./code.nix 
    ./git.nix
  ];

  nixpkgs.config.allowUnfree = true;

  home = {
    stateVersion     = "21.05";
    sessionVariables = {
      EDITOR = "nvim";
      VISUAL = "nvim";
    };

    packages = with pkgs; [
    # essentials
    albert
    guake

    # browsers
    firefox
    brave
=======
    name = "albert";
    package = pkgs.albert;
  });
  guake_autostart = (pkgs.makeAutostartItem {
    name = "guake";
    package = pkgs.guake;
  });
in {
  nixpkgs.config = { allowUnfree = true; };

  imports = [ ./git.nix ./zsh.nix ./gnome.nix ./code.nix ];

  home.stateVersion = "21.05";

  home.packages = with pkgs; [
    albert
    guake

    firefox
>>>>>>> 010141fe0b7b6d866f46dd9721653d8ee0521a6b
    chromium

    # reversing
    rizin
<<<<<<< HEAD

    # networking
    nmap

    # development
    clang

    # social
=======
    
    nmap 

>>>>>>> 010141fe0b7b6d866f46dd9721653d8ee0521a6b
    slack
    signal-desktop
    teams
    discord
    element-desktop

<<<<<<< HEAD
    # music
    spotify

    # misc
    bind

    # system
    gparted
=======
    spotify

    bind
    gparted
    sshfs
>>>>>>> 010141fe0b7b6d866f46dd9721653d8ee0521a6b

    # autostart
    albert_autostart
    guake_autostart
  ];
<<<<<<< HEAD
};
=======

  home.sessionVariables = {
    EDITOR = "nvim";
    VISUAL = "nvim";
  };
>>>>>>> 010141fe0b7b6d866f46dd9721653d8ee0521a6b
}
